Bug 8308 - (int-153863) Media Player does not resume playback after a ringtone is played in Settings/Profiles
(int-153863)
: Media Player does not resume playback after a ringtone is played in Settings/...
Status: RESOLVED FIXED
Product: Multimedia
Multimedia framework
: 5.0:(10.2010.19-1)
: All Maemo
: Unspecified normal (vote)
: Harmattan
Assigned To: unassigned
: multimedia-framework-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-20 12:40 UTC by Vladimir Oka
Modified: 2011-01-18 16:22 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Vladimir Oka (reporter) 2010-01-20 12:40:04 UTC
SOFTWARE VERSION:
2.2009.51-1.203.2

EXACT STEPS LEADING TO PROBLEM: 
1. Load playlist and start playback in MP
2. Switch to Settings/Profiles
3. Choose a different ringtone so it plays, this stops MP playback
4. Select a ringtone, exit Settings

EXPECTED OUTCOME:
MP resumes playback.

ACTUAL OUTCOME:
MP does not resume playback. Playback needs to be resumed manually.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
n/a

OTHER COMMENTS:
Ideally, ringtone playback should be mux-ed with MP playback, but otherwise if
the playback stops so ringtone can be played, I'd expect it to resume as soon
as ringtone playback stops.
Comment 1 Andre Klapper maemo.org 2010-01-20 21:10:55 UTC
Thanks for reporting this. Confirming.
Comment 2 Andre Klapper maemo.org 2010-06-22 22:10:21 UTC
According to Nokia this is a WONTFIX for Maemo5 as this is only a cosmetic
issue. It will be checked for Harmattan again (the version after Maemo5) hence
keeping it open for the time being.
Setting tentative Target Milestone.
Comment 3 Andre Klapper maemo.org 2011-01-18 16:22:04 UTC
WONTFIX for Maemo5 according to Nokia. Harmattan (software version after
Maemo5) Mediaplayer doesn't stop when tried to play ringtones from profiles in
Harmattan according to internal testing, so it is non-reproducible there.

Closing as FIXED in Harmattan.